site_name: Large Radius Tracking
site_url: https://gnnparticletracking.gitlab.io/largeradiustracking/docs
site_dir: public

theme:
  name: material
  # Do not use fonts from CDN
  font: false

extra_javascript:
  - "js/MathJax/MathJax.js?config=TeX-AMS_HTML"


markdown_extensions:
  - mdx_math:
      enable_dollar_delimiter: True

nav:
  - Introduction: index.md
  - Concepts:
    - Particle Tracking: concepts/particle_tracking.md
    - Machine Learning Basics: concepts/ml_basics.md
    - Embedding: concepts/embedding.md
    - Filter: concepts/filter.md
    - Graph Neural Network: concepts/gnn.md
    - Track Reconstruction: concepts/track_reco.md
  - Setup: setup.md
  - Subprojects:
    - Toolset: subprojects/toolset.md
    - Models: 
      - Introduction: subprojects/models/index.md
      - Pileup 0: subprojects/models/pileup0.md
      - Pileup 200: subprojects/models/pileup200.md
      - Debugging: subprojects/models/debugging.md
    - Analysis: subprojects/analysis.md
  - Configs: 
    - Pipeline Config: config/pipeline_config.md
  - Advaced Topics and Technical Details: advanced.md
  - Reference: ref.md

